Package org.gradle.tooling.model.gradle

## Interface BasicGradleProject

- All Superinterfaces:
    `Model`, `ProjectModel`

      public interface BasicGradleProject
      extends Model, ProjectModel

  Provides some basic details about a Gradle project.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBuildTreePath()` | Returns a path to the project for the full build tree
    `DomainObjectSet<? extends BasicGradleProject>` | `getChildren()` | Returns the child projects of this project, or the empty set if there are no child projects.
    `java.lang.String` | `getName()` | Returns the name of this project.
    `BasicGradleProject` | `getParent()` | Returns the parent of this project, or `null` if this is the root project.
    `java.lang.String` | `getPath()` | Returns the path of this project.
    `java.io.File` | `getProjectDirectory()` | Returns the project directory for this project.
    `ProjectIdentifier` | `getProjectIdentifier()` | Returns the identifier for this Gradle project.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for this Gradle project.
      Specified by:
        `getProjectIdentifier` in interface `ProjectModel`
      Since:
        2.13

    - #### getName

          java.lang.String getName()

      Returns the name of this project. Note that the name is not a unique identifier for the project.
      Returns:
        The name of this project.

    - #### getPath

          java.lang.String getPath()

      Returns the path of this project. The path can be used as a unique identifier for the project within a given build.
      Returns:
        The path of this project.

    - #### getProjectDirectory

          java.io.File getProjectDirectory()

      Returns the project directory for this project.
      Returns:
        The project directory.

    - #### getParent

          @Nullable
          BasicGradleProject getParent()

      Returns the parent of this project, or `null` if this is the root project.
      Returns:
        The parent of this project, or `null` if this is the root project.

    - #### getChildren

          DomainObjectSet<? extends BasicGradleProject> getChildren()

      Returns the child projects of this project, or the empty set if there are no child projects.
      Returns:
        The child projects of this project, or the empty set if there are no child projects.

    - #### getBuildTreePath

          @Incubating
          java.lang.String getBuildTreePath()

      Returns a path to the project for the full build tree
      Returns:
        a path to the project for the full build tree
      Throws:
        `UnsupportedMethodException` - When the target Gradle version does not support this method.
      Since:
        8.2